> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-powershell-api-guide/v19/api-versions.md).

# API Versions

In Parallels RAS 19.3 the PowerShell module is named RASAdmin and it supports version 4.0 (latest), version 3.0 and version 2.0.

## Version 4.0

This version is the one loaded by default by the system or if the RequiredVersion is not specified when importing the module.

## Backward Compatibility

This version keeps backward compatibility with the older RASAdmin modules found in previous versions.\
It allows administrators to use existing scripts with minor modification.\
\
To make use of a previous version, one needs to specify the *RequiredVersion* (eg. 3.0) when importing the module:

```
Import-Module RASAdmin -RequiredVersion 3.0
```

## **Versions**

* Version 3.0 - Parallels RAS 19
* Version 2.0 - Parallels RAS 18

## **Includes**

* Cmdlet aliases
* Aliased parameters
* Old and new properties in the returned objects

#### Changes between Version 4.0 and Version 3.0

The below sections highlight the differences between Version 4.0 and Version 3.0.

* [New Cmdlets](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/apiversions/index.html#NewCmdlets)
* [Modified Cmdlets](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/apiversions/index.html#ModifiedCmdlets)
* [Removed Cmdlets](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/apiversions/index.html#RemovedCmdlets)
* [Modified Outputs](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/apiversions/index.html#ModifiedOutputs)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v19/api-versions.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
